Bug 1033911 - Test case failure: Screen - Change Monitors on Radeon HD 7850 [1002:6819]
Summary: Test case failure: Screen - Change Monitors on Radeon HD 7850 [1002:6819]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: Jérôme Glisse
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-24 09:57 UTC by Vasiliy Sharapov
Modified: 2015-11-19 20:00 UTC (History)
4 users (show)

Fixed In Version: 3.10.0-266.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 20:00:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Vasiliy Sharapov 2013-11-24 09:57:35 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/99313/#caserun_3816197

Version-Release number of selected component (if applicable):
Build : RHEL-7.0-20131111.1
xorg-x11-server-Xorg-1.14.99.901-5.20131101.el7.x86_64
xorg-x11-drv-ati-7.2.0-6.20131023gitf1dc677.el7.x86_64
kernel-3.10.0-48.el7.x86_64

Steps to Reproduce: 
 1. connect a monitor to your machine
 2. boot up the machine
 3. log into GNOME or KDE


 1. disconnect the monitor
 2. plug in another one instead



Actual results: 
Hotplugging results in sleeping monitor most of the time. A few time the screen lit black, but this caused it to hang.

Expected results:
Screen should be correectly powered on with a native resolution

Comment 2 Jérôme Glisse 2013-12-10 21:39:04 UTC
You need linux-firmware >= 20131106-0.1.git7d0c7a8

Comment 3 Jérôme Glisse 2014-02-20 20:50:17 UTC
This need to be retested but here i can not reproduce with :

linux-firmware-20140102-0.2.git52d77db.el7.noarch
kernel-3.10.0-89
mesa-dri-drivers-9.2.5
xorg-x11-drv-ati-7.2.0-8.20140113git3213df1
xorg-x11-glamor-0.5.1-4.20140115gitfb4d046c

Comment 4 Jérôme Glisse 2014-03-07 15:27:17 UTC
We believe this is already fixed but moving to 7.1

Comment 6 Jérôme Glisse 2014-07-17 15:19:33 UTC
This should already work in 7.0 but reassigning to kernel as if it is an issue than it is a kernel issue.

Comment 12 Vasiliy Sharapov 2015-09-16 18:03:42 UTC
RHEL-7.2-20150820.0
xorg-x11-server-Xorg-1.17.2-7.el7.x86_64
xorg-x11-drv-ati-7.5.0-3.el7.x86_64
kernel-3.10.0-306.0.1.el7.x86_64
linux-firmware-20150727-41.git75cc3ef.el7.noarch
mesa-dri-drivers-10.6.0-1.20150616.el7.x86_64


Hotplugging mostly works with some issues:

1. Machine will reboot immediately if DP was not plugged on boot, and gets plugged [1]
2. Machine will reboot immediately if DVI-I port is disconnected (at least when using analog connection)

[1]: There is already a bug for this: https://bugzilla.redhat.com/show_bug.cgi?id=1263788

Comment 13 Vasiliy Sharapov 2015-09-23 11:31:04 UTC
Retested with a different case.

Verified fixed in:
RHEL-7.2-20150820.0
xorg-x11-server-Xorg-1.17.2-7.el7.x86_64
xorg-x11-drv-ati-7.5.0-3.el7.x86_64
kernel-3.10.0-306.0.1.el7.x86_64
linux-firmware-20150727-41.git75cc3ef.el7.noarch
mesa-dri-drivers-10.6.0-1.20150616.el7.x86_64

Most likely problem was lack of a ground connection on the backing plate.

Comment 15 errata-xmlrpc 2015-11-19 20:00:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.